select
     a.cunm, b.spnm,
     a.cutax,
     case when nvl(m994.r01,'0')<>'0' and nvl(a.cutax,'0')<>'0' then '税込'
          else null end lblcutax,   /*消費税伝票が原価総額の得意先かつ、994で総額得意先は単価入力も税込表示とされているときにラベル表示*/
     a.cutaxdiv,
     nvl(b.spstp,a.custp) stp /*not null なら新規のみ不可*/
from axm994 m994,
     afm90 m90,
     afm032 b, afm03 a
where a.cucd = b.cucd(+)
  and m90.cls(+) = '9' and a.cudenp2=m90.scls1(+)
  and m994.cls(+) = 'CUTAXCLS'
  and a.cucd=:cucd 
  and (:cuscd is null or b.cuscd=:cuscd) /*ヘッダー変更時にも呼ぶため*/